# Created by pyp2rpm-3.3.3
%global pypi_name Faker
%global pkg_name  faker

Name:           python-%{pkg_name}
Version:        25.0.1
Release:        %mkrel 1
Summary:        Python package that generates fake data for you
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/Faker
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(python-dateutil) >= 2.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(text-unidecode) >= 1.3
# tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(random2)
BuildRequires:  python3dist(ukpostcodeparser)
BuildRequires:  python3dist(validators)
BuildRequires:  python3dist(pillow)

%description
Faker is a Python package that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you. Faker is heavily inspired by PHP Faker, Perl Faker,
and by Ruby Faker.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Faker is a Python package that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you. Faker is heavily inspired by PHP Faker, Perl Faker,
and by Ruby Faker.

%prep
%autosetup -n Faker-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files faker

%check
%pytest

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/faker



%changelog
* Fri Jun 28 2024 papoteur <papoteur> 25.0.1-1.mga10
+ Revision: 2077523
- new version 25.0.1

* Wed Mar 06 2024 daviddavid <daviddavid> 24.0.0-1.mga10
+ Revision: 2047780
- new version: 24.0.0

* Wed Mar 06 2024 daviddavid <daviddavid> 19.5.0-2.mga10
+ Revision: 2047776
- rebuild for py3.12

* Mon Sep 11 2023 papoteur <papoteur> 19.5.0-1.mga10
+ Revision: 1986180
- new 19.5.0

* Thu Sep 29 2022 neoclust <neoclust> 14.2.1-1.mga9
+ Revision: 1893314
- New version 14.2.1

* Wed Sep 07 2022 neoclust <neoclust> 13.15.0-1.mga9
+ Revision: 1884705
- New version  13.15.0

* Wed Apr 06 2022 umeabot <umeabot> 12.3.0-2.mga9
+ Revision: 1845987
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 12.3.0-1.mga9
+ Revision: 1775020
- version 12.3.0
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 11.1.0-1.mga9
+ Revision: 1771145
- version 11.1.0

* Sat Aug 28 2021 wally <wally> 8.12.1-1.mga9
+ Revision: 1743229
- new version 8.12.1

* Sat Jun 26 2021 wally <wally> 8.8.1-2.mga9
+ Revision: 1733207
- Rebuild for python 3.9

* Thu Jun 17 2021 joequant <joequant> 8.8.1-1.mga9
+ Revision: 1731039
- update to 8.8.1
- update to 8.8.1

* Sun Nov 22 2020 guillomovitch <guillomovitch> 4.17.1-1.mga8
+ Revision: 1648463
- new version 4.17.1

* Wed Sep 16 2020 guillomovitch <guillomovitch> 4.1.3-1.mga8
+ Revision: 1627175
- new version 4.1.3

* Sat May 30 2020 wally <wally> 4.1.0-1.mga8
+ Revision: 1588993
- new version 4.1.0

* Sat Mar 21 2020 wally <wally> 4.0.2-1.mga8
+ Revision: 1558589
- imported package python-faker

